@import "../../../scss/variables";
@import "../../../../node_modules/bulma/sass/utilities/_all.sass";

#map {
  background-color: white;
}

#map.mapboxgl-map {
  height: 100%;
  width: 100%;

  &.columns {
    margin-top: unset;
  }
}

::ng-deep .mapboxgl-ctrl-top-right {
  display: none;

  @media screen and (min-width: $tablet) {
    display: block;
  }
}

::ng-deep .mapboxgl-ctrl-bottom-right {
  display: grid;
  grid-template-columns: max-content auto;
  grid-template-rows: min-content min-content;
}

::ng-deep .mapboxgl-ctrl.mapboxgl-ctrl-group {
  grid-column: 2 / 3;
  justify-self: end;
}

::ng-deep .mapboxgl-ctrl-group button.mapboxgl-ctrl-zoom-in,
::ng-deep .mapboxgl-ctrl-group button.mapboxgl-ctrl-zoom-out {
  @media screen and (max-width: $tablet) {
    display: none;
  }
}

#minimap.mapboxgl-map {
  height: 12.5rem;
}

.mapboxgl-map:-webkit-full-screen {
  width: 100%;
  height: 100%;
}

.permalink {
  margin-top: 2rem;

  .input-clipboard {
    width: 20rem;
  }
}

::ng-deep .button[disabled] {
  border: none;
}

.button-3d {
  position: absolute;
  top: 50px;
  right: 0;

  @media screen and (min-width: $tablet) {
    left: 0;
  }

  & > .button.is-active {
    background-color: $blue-color;
    color: white;
  }
}



.copy-map,
.geolocation-container {
  position: absolute;
  z-index: 2;
  width: 30px;
  right: 10px;
  border-radius: 4px;
  bottom: 150px;
  box-shadow: 0 0 0 2px rgba(0, 0, 0, 0.1);

  @media screen and (max-width: $tablet) {
    bottom: 88px;
  }

  .button {
    width: 100%;
    font-size: 0.875rem;
    display: flex;
    justify-content: center;
    border: none;

    svg {
      min-width: 1rem;
      margin-right: 0;
    }

    svg path {
      fill: $grey-dark-color;
    }
  }

  input {
    position: absolute;
    left: -100000px;
  }
}

.copy-map {
  bottom: 200px;

  @media screen and (max-width: $tablet) {
    bottom: 134px;
  }
}

.geolocation {
  background-image: url('../../../assets/img/geolocation.svg');
  background-size: 30px 30px;
}

#menu {
  z-index: 1;
  position: absolute;
  margin: 10px 0 0 10px;

  @media screen and (max-width: $tablet) {
    right: 0;
    margin: 10px 10px 0 0;
  }

  .button.button-switch-layers-mobile {
    width: 30px;
    box-shadow: 0 0 0 2px rgba(0, 0, 0, 0.1);
    border: none;

    svg {
      flex-shrink: 0;
    }
  }

  .columns {
    display: block;

    @media screen and (min-width: $tablet) {
      display: inline-flex;
    }

    .column {
      display: flex;
      padding: 0 0 0.625rem 0;
    }

    @media screen and (min-width: $tablet) {
      .column:not(:first-of-type) {
        padding-left: 0.625rem;
      }
    }

    .buttons {
      border-radius: 0.25rem;
      margin-bottom: 0;

      .button {
        margin-bottom: 0;
        width: 70px;
        height: 2.5em;
      }
    }

    .selectBase.is-active {
      background-color: $blue-color;
      color: white;
    }

    button {
      &:disabled {
        opacity: 1;
      }
    }

    .mapboxgl-ctrl-group {
      border-radius: 0.25rem;
      box-shadow: 0 0 0 0.125rem rgba(0, 0, 0, 0.1);
      overflow: hidden;
      background: #fff;
      display: inline-block;

      button {
        width: 1.875rem;
        height: 1.875rem;
        line-height: 0;
        padding: 0;
        outline: none;
        border: 0;
        box-sizing: border-box;
        background-color: transparent;
        cursor: pointer;
        background-repeat: no-repeat;
        background-position: center;
      }

      button:focus,
      button:hover {
        background-color: rgba(0, 0, 0, 0.05);
      }
    }
  }
}

.mapboxgl-ctrl-minimap {
  border: 0.0625rem solid black;
}

.fullscreen {
  position: fixed;
  height: 100% !important;
  width: 100% !important;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
}

::ng-deep .popup {
  h3 {
    line-height: 1.2rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem
  }
  ul {
    list-style: none;
    padding: 0;
    margin: 0;

    li {
      display: flex;
    }

    li::before {
      font-family: "Open sans", sans-serif;
      content: "• ";
      color: $tomato-color;
      font-size: 1.25rem;
      margin-right: 0.5rem;
    }
  }
}
